# digital_ocean_floating_ip – Manage DigitalOcean Floating IPs

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Create/delete/assign a floating IP.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
droplet_id - |  | The Droplet that the Floating IP has been assigned to.
ip - |  | Public IP address of the Floating IP. Used to remove an IP
oauth_token - / required |  | DigitalOcean OAuth token.
region - |  | The region that the Floating IP is reserved to.

state
-

Choices:
- present ←
- absent

Indicate desired state of the target.

## Notes

Note

- Version 2 of DigitalOcean API is used.

## Examples

    - name: "Create a Floating IP in region lon1"
      digital_ocean_floating_ip:
        state: present
        region: lon1

    - name: "Create a Floating IP assigned to Droplet ID 123456"
      digital_ocean_floating_ip:
        state: present
        droplet_id: 123456

    - name: "Delete a Floating IP with ip 1.2.3.4"
      digital_ocean_floating_ip:
        state: absent
        ip: "1.2.3.4"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

data
dictionary

success and no resource constraint

a DigitalOcean Floating IP resource
Sample:
{'action': {'id': 68212728, 'status': 'in-progress', 'type': 'assign_ip', 'started_at': '2015-10-15T17:45:44Z', 'completed_at': None, 'resource_id': 758603823, 'resource_type': 'floating_ip', 'region': {'name': 'New York 3', 'slug': 'nyc3', 'sizes': ['512mb', '1gb', '2gb', '4gb', '8gb', '16gb', '32gb', '48gb', '64gb'], 'features': ['private_networking', 'backups', 'ipv6', 'metadata'], 'available': True}, 'region_slug': 'nyc3'}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Patrick Marques (@pmarques)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.